Anzeige:
Ergebnis 1 bis 1 von 1

Thema: VSCode: Pip installer und die Einrichtung der Umgebung: ( /venv )

  1. #1
    Registrierter Benutzer
    Registriert seit
    Apr 2016
    Beiträge
    238

    Talking VSCode: Pip installer und die Einrichtung der Umgebung: ( /venv )

    Tach Community,


    hier eine Frage zum Einsatz von VSCodium .... - auf MX-Linux. Habe auf VSCode (und VSCodium) die Python Version 2.7.x - wie man auch unten in der Menüleiste sieht.
    Nun dachte ich, dass ich via Terminal auch die Version 3. noch hinzufügen kann - das geht aber nicht so einfach!?

    Ist pip install hier nicht das Kommando!?

    interessanter Thread hierzu: VSCode: '''There is no Pip installer available in the selected environment'''

    Ich hab diesbezügich die Checks durchgeführt: /venv Ordner hier .cfg file.

    hier: include-system-site-packages auf true gesetzt:

    Code:
    home = /usr/bin
    include-system-site-packages = true
    version = 3.8.5
    respektive:
    Code:
    sudo install python-3 pip

    vgl: hier https://stackoverflow.com/questions/...ath%20settings
    bzw hier: https://code.visualstudio.com/docs/python/environments


    mit den Hinweisen auf den Interpreter-Setup: (⇧⌘P): /usr/local/bin/python


    ich hab das schlussendlich vesucht mit dem Befehl

    Code:
    apt-get install python3-pip

    hier - der eingesetzte Befehl und das Ergebnis:

    Code:
    root@mx:/home/martin# apt-get install python3-pip
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut.       
    Statusinformationen werden eingelesen.... Fertig
    python3-pip ist schon die neueste Version (18.1-5).
    Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
      gir1.2-gstreamer-1.0 gir1.2-javascriptcoregtk-4.0 gir1.2-soup-2.4 libdbusmenu-qt5-2 libfam0
      libgssdp-1.0-3 libgstreamer-plugins-bad1.0-0 libgupnp-1.0-4 libgupnp-igd-1.0-4 libicu67
      libjavascriptcoregtk-4.0-18 libkf5activities5 libkf5archive5 libkf5attica5 libkf5auth-data
      libkf5auth5 libkf5bookmarks-data libkf5bookmarks5 libkf5codecs-data libkf5codecs5
      libkf5completion-data libkf5completion5 libkf5config-data libkf5configcore5 libkf5configgui5
      libkf5configwidgets-data libkf5configwidgets5 libkf5coreaddons-data libkf5coreaddons5
      libkf5crash5 libkf5dbusaddons-data libkf5dbusaddons5 libkf5doctools5 libkf5globalaccel-bin
      libkf5globalaccel-data libkf5globalaccel5 libkf5globalaccelprivate5 libkf5guiaddons5
      libkf5i18n-data libkf5i18n5 libkf5iconthemes-data libkf5iconthemes5 libkf5itemviews-data
      libkf5itemviews5 libkf5jobwidgets-data libkf5jobwidgets5 libkf5js5 libkf5jsapi5
      libkf5kexiv2-15.0.0 libkf5kiocore5 libkf5kiontlm5 libkf5kiowidgets5 libkf5notifications-data
      libkf5parts-data libkf5pty-data libkf5pty5 libkf5service-bin libkf5service-data libkf5service5
      libkf5solid5 libkf5solid5-data libkf5sonnet5-data libkf5sonnetcore5 libkf5sonnetui5
      libkf5textwidgets-data libkf5textwidgets5 libkf5threadweaver5 libkf5wallet-data
      libkf5widgetsaddons-data libkf5widgetsaddons5 libkf5windowsystem-data libkf5windowsystem5
      libkf5xmlgui-data libkf5xmlgui5 libmicrodns0 libmjpegutils-2.1-0 libmms0 libmodplug1
      libmpeg2encpp-2.1-0 libmplex2-2.1-0 libmwaw-0.3-3 libnice10 libnumbertext-1.0-0
      libnumbertext-data libofa0 liborcus-0.14-0 libphonon4qt5-4 libpolkit-qt5-1-1 libqca-qt5-2
      libqmobipocket2 libqt5script5 libqt5texttospeech5 libreoffice-avmedia-backend-gstreamer
      libspandsp2 libsrtp2-1 libvo-aacenc0 libvo-amrwbenc0 libwildmidi2 libxmlsec1 libxmlsec1-nss
      libzbar0 python3-distro python3-pypdf2 xsel yelp-xsl
    Verwenden Sie »apt autoremove«, um sie zu entfernen.
    0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
    root@mx:/home/martin# ^C
    root@mx:/home/martin#

    werde nun sehen ob das nun in VSCode / VSCodium anschlägt und hier auch die Python-Version 3xy verwendbar ist.

    Viele Grüße Diver
    Geändert von diver (10.02.21 um 23:16 Uhr)
    Tools für Wordpress-Entwicklung http://wpgear.org/

Ähnliche Themen

  1. Antworten: 2
    Letzter Beitrag: 10.01.21, 20:39
  2. VSCode :: ATOM und PyCharm aufsetzen - Ansätze, Vorgehen und Stolperfallen
    Von diver im Forum Anwendungen Allgemein, Software
    Antworten: 6
    Letzter Beitrag: 18.03.20, 23:13
  3. VScode vs VScodium auf MX-Linux - welches würdet ihr einsetzen?!
    Von diver im Forum Anwendungen Allgemein, Software
    Antworten: 1
    Letzter Beitrag: 19.10.19, 13:46
  4. YOU Setup
    Von Mango im Forum System installieren und konfigurieren
    Antworten: 11
    Letzter Beitrag: 12.12.03, 09:58
  5. wine-20030115 - Neverwinternights Setup - Fehler bei auflösung (Setup)
    Von Darksheen im Forum Emulatoren für Spiele
    Antworten: 2
    Letzter Beitrag: 22.02.03, 12:06

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •